/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/**
 * https://www.elastic.co/guide/en/ecs/master/ecs-vulnerability.html
 *
 * @internal
 */
export interface EcsVulnerability {
  category?: string[];
  classification?: string;
  description?: string;
  enumeration?: string;
  id?: string;
  reference?: string;
  report_id?: string;
  scanner?: { vendor: string };
  score?: Score;
  severity?: string;
}

interface Score {
  base?: number;
  environmental?: number;
  temporal?: number;
  version?: string;
}
